<?php
/**
 * Created by PhpStorm.
 * User: durong
 * Date: 2019/7/4
 * Time: 上午9:53
 */
namespace App\Transformers;

use App\Models\PostMusicCategoryRel;
use League\Fractal\TransformerAbstract;

class MusicTranformer extends TransformerAbstract {

    public function transform(PostMusicCategoryRel $musicList)
    {
        return [
            'id' => $musicList['id'],
            'name' => $musicList['name'],
            'music_duration' => $musicList['music_duration'],
            'url' => $musicList['url'],
            'img' => (string)$musicList['img'],
            'singer' => (string)$musicList['singer'],
        ];
    }
}